package domain

type TmallExchangeReturngoodsAgreeExchangeBaseResponse struct {
	/*
	   返回结果的描述字段     */
	Message *string `json:"message,omitempty" `

	/*
	   返回结果的状态码     */
	MsgCode *string `json:"msg_code,omitempty" `

	/*
	   是否成功调用     */
	Success *bool `json:"success,omitempty" `

	/*
	   换货单号基本信息     */
	Exchange *TmallExchangeReturngoodsAgreeExchange `json:"exchange,omitempty" `
}

func (s *TmallExchangeReturngoodsAgreeExchangeBaseResponse) SetMessage(v string) *TmallExchangeReturngoodsAgreeExchangeBaseResponse {
	s.Message = &v
	return s
}
func (s *TmallExchangeReturngoodsAgreeExchangeBaseResponse) SetMsgCode(v string) *TmallExchangeReturngoodsAgreeExchangeBaseResponse {
	s.MsgCode = &v
	return s
}
func (s *TmallExchangeReturngoodsAgreeExchangeBaseResponse) SetSuccess(v bool) *TmallExchangeReturngoodsAgreeExchangeBaseResponse {
	s.Success = &v
	return s
}
func (s *TmallExchangeReturngoodsAgreeExchangeBaseResponse) SetExchange(v TmallExchangeReturngoodsAgreeExchange) *TmallExchangeReturngoodsAgreeExchangeBaseResponse {
	s.Exchange = &v
	return s
}
